# $Revision: 1.6 $, $Date: 2004/12/03 14:40:50 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Tree
%define		pnam	Simple
Summary:	Tree::Simple - A simple tree object
Summary(pl):	Tree::Simple - obiekt prostego drzewa
Name:		perl-Tree-Simple
Version:	1.14
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca404df24e6136714ae114491e751707
URL:		http://search.cpan.org/dist/Tree-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Test-Exception >= 0.15
BuildRequires:	perl-Test-Simple >= 0.47,
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module in an fully object-oriented implementation of a simple
n-ary tree. It is built upon the concept of parent-child
relationships, so therefore every Tree::Simple object has both a
parent and a set of children (who themselves may have children, and so
on). Every Tree::Simple object also has siblings, as they are just the
children of their immediate parent.

It is can be used to model hierarchal information such as a
file-system, the organizational structure of a company, an object
inheritance hierarchy, versioned files from a version control system
or even an abstract syntax tree for use in a parser. It makes no
assumptions as to your intended usage, but instead simply provides the
structure and means of accessing and traversing said structure.

%description -l pl
Ten modu to w peni obiektowo zorientowana implementacja prostego
drzewa n-arnego. Jest zbudowany w oparciu i ide relacji
rodzic-dziecko, tak e kady obiekt Tree::Simple ma rodzica oraz
zbir dzieci (ktre te mog mie dzieci, i tak dalej). Kady obiekt
Tree::Simple ma take rodzestwo - czyli dzieci bezporedniego
rodzica.

Modu moe by uywany do informacji o modelu hierarchicznym, takich
jak system plikw, struktura organizacyjna firmy, hierarchia
dziedziczenia obiektw, wersjonowane pliki z systemu kontroli wersji
czy nawet abstrakcyjne drzewo skadniowe do uywania w parserze.
Modu nie czyni adnych zaoe co do wykorzystania, ale po prostu
dostarcza struktur oraz metody dostpu i przechodzenia po strukturze.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Tree/*.pm
%{perl_vendorlib}/Tree/Simple
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Tree-Simple.spec,v $
Revision 1.6  2004/12/03 14:40:50  radek
- autoupdated to 1.14

Revision 1.5  2004/11/16 21:45:07  paladine
- updated to 1.13

Revision 1.4  2004/11/03 22:30:52  paladine
- formatting

Revision 1.3  2004/10/31 22:36:06  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/10/16 12:59:27  qboosh
- pl, standard CPAN URL

Revision 1.1  2004/10/14 20:38:45  radek
- new
